Subject: [PATCH] build: Do not store two copies of the ISO-9660 superblock anymore.

From: Danny Milosavljevic <[email-masked]>
Date: Sat, 19 Aug 2017 04:46:56 +0200

* gnu/build/vm.scm (make-iso9660-image): Do not store two copies of the
ISO-9660 superblock anymore.
---
 gnu/build/vm.scm | 13 -------------
 1 file changed, 13 deletions(-)

diff --git a/gnu/build/vm.scm b/gnu/build/vm.scm
index 727494ad9..409320b1a 100644
--- a/gnu/build/vm.scm
+++ b/gnu/build/vm.scm
@@ -379,19 +379,6 @@ GRUB configuration and OS-DRV as the stuff in it."
                             "var=/tmp/root/var"
                             "run=/tmp/root/run"
                             "--"
-                            ;; Store two copies of the headers.
-                            ;; The resulting ISO-9660 image has a DOS MBR and
-                            ;; one protective partition (with type 0xCD).
-                            ;; Because GuixSD only uses actual partitions
-                            ;; rather than what /proc/partitions returns, work
-                            ;; around it by storing the primary volume
-                            ;; descriptor twice, once where it should be and
-                            ;; once in the partition.
-                            ;; Allegedly, otherwise, many other GNU tools
-                            ;; (automounters etc) would also be confused by
-                            ;; the extra partition so it makes sense to
-                            ;; store two copies in any case.
-                            "-boot_image" "any" "partition_offset=16"
                             "-volid" ,(string-upcase volume-id)
                             ,@(if volume-uuid
                                   `("-volume_date" "uuid"